<?php if ( ! defined('ACCESS')) exit('No direct script access allowed');


	/**
	 * contact.php
	 * Contact form module
	 * @package Template CMS	 
	 * @version 1.1
	 * @copyright Sergey Romanenko / Awilum / www.webdevart.ru, 2010
	 * 
	 */

	/**
	 * Initialize main contact actions
	 * @return NULL
	 */	
   function main_contact_action () {

		// Actions
		if(isset($_POST['contact_submit'])) {			
			$email = trim($_POST['email_from']);
			$subject = trim($_POST['email_subject']);
			$message = trim($_POST['email_body']);
			if((empty($subject)) or (empty($email)) or (empty($message)) or (!isset($_POST['i_am_not_a_robot']))) {
				$contact_error = TRUE;
				header("location: ".$_POST['email_page_url']);	
			} else {
				send_email($email,$subject,$message);
				header("location: ".$_POST['email_page_url']);	
			}		
		}		
   }




	/**
	 * Send email
	 * @return NULL
	 */	
   function send_email($email,$subject,$message) {
      global $site_meta_data;

		$mailbody = $message;
		$mailsubject= '=?utf-8?B?'.base64_encode($subject).'?=';
		$header = "Content-Type: text/plain; charset=UTF-8\r\n";
		$header .= "X-Mailer: PHP/".phpversion()."\r\n";
		$header .= "Reply-To: $email\r\n";
		$header .= "To: <$site_meta_data[8]>\r\n";
		$header .= "From: $email\r\n";
		$header .= "Subject: $subject\n";
        @mail($recipient, $mailsubject, $mailbody, $header);
   }
      
	/**
	 * Get contact form
	 * @return NULL
	 */	      
   function get_contact_form() {
      global $txt;
      
      echo '<form action="index.php" method="post">
<input type="hidden" value="'.return_page_url().'" name="email_page_url" />
      <p><label>'.$txt['contact_email'].'</label><input type="text" value="" name="email_from" /></p>
      <p><label>'.$txt['contact_subject'].': </label><input type="text" value="" name="email_subject" /></p>      
      <p><label>'.$txt['contact_message'].': </label>
         <textarea cols="" rows="" name="email_body" ></textarea>
      </p>
      <p><input type="checkbox" name="i_am_not_a_robot" value="">'.$txt['i_am_not_a_robot'].'</p>      
      <p><input type="submit" value="'.$txt['contact_send'].'" name="contact_submit" /></p>

      </form>';
   }